Folder AVG Forums » Archive » Archive » AVG Free » AVG for Linux » The Package Is Of Bad Quality
April 9, 2013 13:39 The Package Is Of Bad Quality #227512
Top
nimd4

Avatar

Novice
Join Date: 9.4.2013
Posts: 1
$ uname -a
Linux home-AMILO-Li-1818 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 20:00:05 UTC 2013 i686 i686 i686 GNU/Linux

$ lsb_release -rd
Description: Ubuntu 12.10
Release: 12.10

The package is bad quality

Lintian check results for /tmp/avg2013flx-r3115-a6155.i386.deb:
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgavid
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgcfgctl
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgctl
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgd
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgdiag
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgdump
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgevtlog
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgoad
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgscan
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgscand
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgsched
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgspamd
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgtcpd
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgupd
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgupdate
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgvvctl
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgaspam.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgavidcli.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgcert.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgcfg.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgcomm.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgcore.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgcorelite.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavglng.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavglog.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgsys.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libavgupd.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libdazukofs.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libdialog.so
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libgcc_s.so.1
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libncurses.so.5
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libstdc++.so.6
E: avg2013flx: control-file-has-bad-permissions postinst 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions postrm 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions preinst 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions prerm 0775 != 0755

It's nice that it's going to opt/ (unlike some other programs), but it seems impossible for a novice to install and use (safely).

MSI Z68A-G45 - Intel i5-2400 - DDR3 2x2GB 1600MHz - GeForce GTS450 Palit - WD 1TB 64MB SATA - Win7 Pro/64 SP1 / Quantal Xfce AMD64
April 10, 2013 08:52 Re: The Package Is Of Bad Quality #227555
Top
Rigby

Avatar

Novice
Join Date: 25.8.2009
Posts: 94
nimd4 wrote
$ uname -a
Linux home-AMILO-Li-1818 3.5.0-27-generic #46-Ubuntu SMP Mon Mar 25 20:00:05 UTC 2013 i686 i686 i686 GNU/Linux

$ lsb_release -rd
Description: Ubuntu 12.10
Release: 12.10

The package is bad quality

Lintian check results for /tmp/avg2013flx-r3115-a6155.i386.deb:
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgavid
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgcfgctl
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/bin/avgctl
....
E: avg2013flx: arch-independent-package-contains-binary-or-object opt/avg/av/lib/libstdc++.so.6
E: avg2013flx: control-file-has-bad-permissions postinst 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions postrm 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions preinst 0775 != 0755
E: avg2013flx: control-file-has-bad-permissions prerm 0775 != 0755

It's nice that it's going to opt/ (unlike some other programs), but it seems impossible for a novice to install and use (safely).

MSI Z68A-G45 - Intel i5-2400 - DDR3 2x2GB 1600MHz - GeForce GTS450 Palit - WD 1TB 64MB SATA - Win7 Pro/64 SP1 / Quantal Xfce AMD64

Hi.

Our packages are i386 architecture, but it is possible to install it on both i386 and x86_64 architecture. If we set only i386 architecture in deb package, some GUI of apt will shows error n architecture.
We recomended to install avg via command line - it is program only for command line (especialy for servers) - and this way is without any problems.

Anyway entry about "control-file-has-bad-permissions" will be investigated.

Thanks,

ER
May 9, 2013 20:39 Re: The Package Is Of Bad Quality #228897
Top
jameslefeu

Avatar

Novice
Join Date: 9.5.2013
Posts: 1
Ubuntu 13.04..

I get the same problem with Ubuntu 13.04

Since it seemed to merely be complaining because write permissions were granted to the group, I clicked "ignore and continue."

But, that did not solve the problem as the command line tool seems dependent upon other libraries which are not in Ubuntu 13.04 upon default installation:

username@ubuntu:/opt/avg/av/bin$ ./avgctl --stat
./avgctl: error while loading shared libraries: libavgcomm.so: cannot open shared object file: No such file or directory
May 15, 2013 11:22 Re: The Package Is Of Bad Quality #229129
Top
Rigby

Avatar

Novice
Join Date: 25.8.2009
Posts: 94
jameslefeu wrote
Ubuntu 13.04..

I get the same problem with Ubuntu 13.04

Since it seemed to merely be complaining because write permissions were granted to the group, I clicked "ignore and continue."

But, that did not solve the problem as the command line tool seems dependent upon other libraries which are not in Ubuntu 13.04 upon default installation:

username@ubuntu:/opt/avg/av/bin$ ./avgctl --stat
./avgctl: error while loading shared libraries: libavgcomm.so: cannot open shared object file: No such file or directory

Hi.
You need x32 libraries, plus star through avg wrapper = /usr/bin/avgctl.

R.